using System.Xml.Serialization;
using NewRock.Sdk.Control.Response;

namespace NewRock.Sdk.Control.Request
{
    [XmlRoot("Control")]
    public class QueryTrunkRequest:INewRockRequest<QueryTrunkResponse>
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("trunk")]
        public QueryTrunkTrunk Trunk { get; set; }
    }

    public class QueryTrunkTrunk
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
